Commits

Jochen Schramm committed 74d03b0

Update dependencies

As the less CSS plugin got replaced and the new one is used
slightly differently 2 gsp pages are also adapted, the main.gsp,
and the auth.gsp.

  • Participants
  • Parent commits fdd49a7

Comments (0)

Files changed (13)

grails-app/conf/BuildConfig.groovy

         // cobertura
         compile "asm:asm:3.1"
         compile "log4j:log4j:1.2.16"
+        compile 'com.thoughtworks.xstream:xstream:1.4.3'
     }
 
     plugins {
         compile ":perf4j:0.1.1"
         //compile ":jms:1.2"
         compile ":executor:0.3"
-        compile ":mail:1.0"
+        compile ":mail:1.0.1"
         //compile ":quartz:0.4.2"
-        compile(":quartz:1.0-RC2") { excludes 'hibernate-core' /* don't need 3.6.10.Final */ }
+        compile(":quartz:1.0-RC5") { excludes 'hibernate-core' /* don't need 3.6.10.Final */ }
         // to see the status of quartz jobs
         //compile(":quartz-monitor:0.2") { export = false } //requires quartz plugin version 0.4.2 
 
-        compile ":spring-security-acl:1.1"
+        compile ":spring-security-acl:1.1.1"
         compile ":svn:1.0.2"
-        runtime ":spring-security-core:1.2.7.2"
-        runtime(":spring-security-ldap:1.0.5") { export  = false }
-        compile ":lesscss:1.0.0"
+        runtime ":spring-security-core:1.2.7.3"
+        runtime(":spring-security-ldap:1.0.6") { export  = false }
+        compile ":lesscss-resources:1.3.1"
         test ":code-coverage:1.2.5"
-        test(":codenarc:0.16.1") { transitive = false }
+        test(":codenarc:0.18") { transitive = false }
         test ":gmetrics:0.3.1"
         compile(":weceem:1.1.2") { 
             excludes 'xstream', 
                         'jquery-ui' 
         }
         compile ":jquery-datatables:1.7.5"
-        compile ":jquery-ui:1.8.15"
+        compile ":jquery-ui:1.8.24"
 
         // default grails plugins
         compile ":hibernate:$grailsVersion"
-        compile ":webflow:2.0.0"
-        compile ":jquery:1.6.1.1"
-        compile ":resources:1.1.6"
+        compile ":webflow:1.3.8"
+        compile ":jquery:1.8.3"
+        runtime ":resources:1.2.RC2"
 
         build ":tomcat:$grailsVersion"
 

grails-app/views/layouts/main.gsp

 <head>
     <title><g:layoutTitle default="${g.message(code: 'jummp.main.title') }"/></title>
     <link rel="shortcut icon" href="${g.createLink(uri: '/images/favicon.ico')}"/>
-    <less:stylesheet name="jummp"/>
-    <less:scripts />
-    <r:require module="jquery"/>
-    <r:require module="core"/>
-    <r:layoutResources/>
-    <g:layoutHead/>
     <r:script>
         $.appName = "${grailsApplication.metadata["app.name"]}";
     </r:script>
+    <r:require module="style"/>
+    <r:require module="core"/>
+    <r:layoutResources/>
+    <g:layoutHead/>
 </head>
 <body>
     <div class='modal' id='overlayContainer'><div class="contentWrap"></div></div>

grails-app/views/login/auth.gsp

 <head>
     <title>Login</title>
     <link rel="shortcut icon" href="${g.createLink(uri: '/images/favicon.ico')}"/>
-    <less:stylesheet name="jummp"/>
-    <less:scripts />
-    <r:require module="jquery"/>
+    <r:require module="style"/>
+    <r:require module="core"/>
     <r:layoutResources/>
 </head>
 
     $("#login div.glow").hide();
 });
 </script>
-    <r:layoutResources/>
 </body>
 </html>

jummp-plugins/jummp-plugin-configuration/grails-app/conf/BuildConfig.groovy

         }
     }
     plugins {
-        compile ":spring-security-core:1.2.7.2"
-        compile ":webflow:2.0.0"
+        compile ":spring-security-core:1.2.7.3"
+        compile ":webflow:1.3.8"
         test ":code-coverage:1.2.5"
 
         // default grails plugins

jummp-plugins/jummp-plugin-core-api/grails-app/conf/BuildConfig.groovy

         }
     }
     plugins {
-        compile ":spring-security-core:1.2.7.2"
+        compile ":spring-security-core:1.2.7.3"
 
         // default grails plugins
         compile ":hibernate:$grailsVersion"

jummp-plugins/jummp-plugin-dbus/grails-app/conf/BuildConfig.groovy

         test 'hsqldb:hsqldb:1.8.0.10'
     }
     plugins {
-        compile ":spring-security-core:1.2.7.2"
+        compile ":spring-security-core:1.2.7.3"
         compile ":perf4j:0.1.1"
 
         // default grails plugins

jummp-plugins/jummp-plugin-git/grails-app/conf/BuildConfig.groovy

         }
     }
     plugins {
-        compile ":spring-security-core:1.2.7.2"
+        compile ":spring-security-core:1.2.7.3"
         test ":code-coverage:1.2.5"
 
         // default grails plugins

jummp-plugins/jummp-plugin-remote/grails-app/conf/BuildConfig.groovy

         test 'hsqldb:hsqldb:1.8.0.10'
     }
     plugins {
-        compile ":spring-security-core:1.2.7.2"
+        compile ":spring-security-core:1.2.7.3"
 
         // default grails plugins
         compile ":hibernate:$grailsVersion"

jummp-plugins/jummp-plugin-sbml/grails-app/conf/BuildConfig.groovy

 
     plugins {
         compile ":perf4j:0.1.1"
-        compile ":spring-security-core:1.2.7.2"
+        compile ":spring-security-core:1.2.7.3"
         test ":code-coverage:1.2.5"
 
         // default grails plugins

jummp-plugins/jummp-plugin-security/grails-app/conf/BuildConfig.groovy

         // runtime 'mysql:mysql-connector-java:5.1.13'
     }
     plugins {
-        compile ":spring-security-core:1.2.7.2"
+        compile ":spring-security-core:1.2.7.3"
 
         // default grails plugins
         compile ":hibernate:$grailsVersion"

jummp-plugins/jummp-plugin-subversion/grails-app/conf/BuildConfig.groovy

         }
     }
     plugins {
-        compile ":spring-security-core:1.2.7.2"
+        compile ":spring-security-core:1.2.7.3"
         test ":code-coverage:1.2.5"
 
         // default grails plugins

jummp-plugins/jummp-plugin-web-application/grails-app/conf/BuildConfig.groovy

               ":release:1.0.0") {
             export = false
         }
-        compile ":jquery:1.6.1.1"
+        compile ":jquery:1.8.3"
         compile ":jquery-datatables:1.7.5"
-        compile ":spring-security-core:1.2.7.2"
+        compile ":spring-security-core:1.2.7.3"
     }
 }

jummp-plugins/jummp-plugin-web-application/grails-app/conf/WebApplicationResources.groovy

 modules = {
+    'style' {
+        resource url:'/css/jummp.less'
+    }
     core {
         dependsOn 'jquery'
         resource url: '/js/jquery/jquery.i18n.properties-min-1.0.9.js'